import request from '@/utils/request'

import { URL } from '@/config'

export function getAccessOs(params) {
  return request({
    url: URL.shop.analytics.access.history.getAccessOs,
    method: 'get',
    params,
  })
}

export function getAccessBrowser(params) {
  return request({
    url: URL.shop.analytics.access.history.getAccessBrowser,
    method: 'get',
    params,
  })
}

export function getAccessCountry(params) {
  return request({
    url: URL.shop.analytics.access.history.getAccessCountry,
    method: 'get',
    params,
  })
}

export function getAccessDevice(params) {
  return request({
    url: URL.shop.analytics.access.history.getAccessDevice,
    method: 'get',
    params,
  })
}

export function getAccessProvince(params) {
  return request({
    url: URL.shop.analytics.access.history.getAccessProvince,
    method: 'get',
    params,
  })
}

export function getAccessItemTimeLine(params) {
  return request({
    url: URL.analytics.history.getAccessItemTimeLine,
    method: 'get',
    params,
  })
}

export function getAccessItemUserTimeLine(params) {
  return request({
    url: URL.analytics.history.getAccessItemUserTimeLine,
    method: 'get',
    params,
  })
}

export function getAccessVisitorTimeLine(params) {
  return request({
    url: URL.analytics.history.getAccessVisitorTimeLine,
    method: 'get',
    params,
  })
}

export function getAccessNum(params) {
  return request({
    url: URL.analytics.history.getAccessNum,
    method: 'get',
    params,
  })
}

export function getAccessVisitorNum(params) {
  return request({
    url: URL.analytics.history.getAccessVisitorNum,
    method: 'get',
    params,
  })
}

export function getAccessItemNum(params) {
  return request({
    url: URL.analytics.history.getAccessItemNum,
    method: 'get',
    params,
  })
}

export function getAccessItemUserNum(params) {
  return request({
    url: URL.analytics.history.getAccessItemUserNum,
    method: 'get',
    params,
  })
}

export function listAccessItem(params) {
  return request({
    url: URL.analytics.history.listAccessItem,
    method: 'get',
    params,
  })
}
